# Ogre::SceneManager::LightInfo Struct Reference

Cached light information, used to tracking light's changes. More...

`#include <OgreSceneManager.h>`

List of all members.

## Public Member Functions

bool | operator== (const LightInfo &rhs) const
bool | operator!= (const LightInfo &rhs) const

## Public Attributes

Light * | light
int | type
Real | range
Vector3 | position

## Detailed Description

Cached light information, used to tracking light's changes.

Definition at line 479 of file OgreSceneManager.h.

## Member Function Documentation

bool Ogre::SceneManager::LightInfo::operator!= | ( | const LightInfo & | rhs | ) | const

| Definition at line 492 of file OgreSceneManager.h.

bool Ogre::SceneManager::LightInfo::operator== | ( | const LightInfo & | rhs | ) | const

| Definition at line 486 of file OgreSceneManager.h. References light, position, range, and type.

## Member Data Documentation

Light* Ogre::SceneManager::LightInfo::light

| Definition at line 481 of file OgreSceneManager.h. Referenced by operator==().

Vector3 Ogre::SceneManager::LightInfo::position

| Definition at line 484 of file OgreSceneManager.h. Referenced by operator==().

Real Ogre::SceneManager::LightInfo::range

| Definition at line 483 of file OgreSceneManager.h. Referenced by operator==().

int Ogre::SceneManager::LightInfo::type

| Definition at line 482 of file OgreSceneManager.h. Referenced by operator==().

The documentation for this struct was generated from the following file:

- OgreSceneManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:52:49 2009